Assign an Instagram account to an agent
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/instagram \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instagram_business_id": "<string>"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/instagram"
payload = { "instagram_business_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instagram_business_id: '<string>'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/instagram', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agent Channel Bindings
Assign an Instagram account to an agent
Assigns a connected Instagram business account to the agent. Use this before routing Instagram direct messages to the agent. The Instagram account must already be connected to your account.
POST
/
api
/
v1
/
agents
/
{uuid}
/
channels
/
instagram
Assign an Instagram account to an agent
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
Meta instagram_business_id of an Instagram account connected to your account.
Response
Bound
⌘I